Skip to main content
`Ctrl`+`K`

# MatPartitioningChacoSetEigenNumber

Sets the number of eigenvectors to compute by Chaco during partitioning during partitioning.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatPartitioningChacoSetEigenNumber(MatPartitioning part, PetscInt num)

Collective

## Input Parameters

- part - the partitioning context

- num - the number of eigenvectors

## Options Database Key

- -mat_partitioning_chaco_eigen_number <n> - Number of eigenvectors

## Note

Accepted values are 1, 2 or 3, indicating partitioning by bisection, quadrisection, or octosection.

## See Also

`MatPartitioningType`, `MatPartitioning`, `MATPARTITIONINGCHACO`, `MatPartitioningChacoSetEigenSolver()`, `MatPartitioningChacoGetEigenTol()`

## Level

advanced

## Location

src/mat/graphops/partition/impls/chaco/chaco.c

## Implementations

MatPartitioningChacoSetEigenNumber_Chaco() in src/mat/graphops/partition/impls/chaco/chaco.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages